Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

Diff of /install.sh [0a563d] .. [e0bc74] Maximize Restore

  Switch to side-by-side view

--- a/install.sh
+++ b/install.sh
@@ -112,11 +112,11 @@
 for info in doc/manual/*.info
 do
   cp $info "$BUILD_ROOT$INFO_DIR"/ \
-      && echo -n " info $BUILD_ROOT$INFO_DIR/`basename $info` $BUILD_ROOT$INFO_DIR/dir" \
-      && ( install-info --info-dir="$BUILD_ROOT$INFO_DIR" \
-        "$BUILD_ROOT$INFO_DIR"/`basename $info` > /dev/null 2>&1 \
-           || echo -n " (could not add to system catalog)" ) \
-      && echo
+      && BN=`basename $info` \
+      && DIRFAIL=`install-info --info-dir="$BUILD_ROOT$INFO_DIR" \
+        "$BUILD_ROOT$INFO_DIR"/$BN > /dev/null 2>&1 \
+           || echo "(could not add to system catalog)"` \
+      && echo " info $BUILD_ROOT$INFO_DIR/`basename $info` [$BUILD_ROOT$INFO_DIR/dir] $DIRFAIL"
 done
 
 for info in doc/manual/*.info-*